Bug 208406 - Transparent icon background rendered black
Transparent icon background rendered black
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 09:26 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 16:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test app (382 bytes, text/x-csrc)
2006-10-16 16:30 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Joachim Frieben 2006-09-28 09:26:06 EDT
Description of problem:
The "dx-4.4.4-2.1.fc6" package contains an icon "dx.xpm" which has
a grey background (see bug 207841). After setting the uniform grey
background color to "none" in the "XPM" file to better blend with
the "GOME" menu button ("Applications" -> "Graphics" -> "OpenDX"),
the icon is rendered correctly in the menu but the application icon
in the title bar of the main "metacity" window now has a black
background. The same holds for the corresponding entries in the
window list (lower "GNOME" panel). The embedding of "XPM" icons with
transparent background in "GTK2" widgets seems to have a problem here.

Version-Release number of selected component (if applicable):
gtk2-2.10.4-2.fc6

How reproducible:
Always

Steps to Reproduce:
1. Launch "dx" with "dx.xpm" modified to have a transparent background.
  
Actual results:
Application icon rendered correctly with transparent background in the
"GNOME" menu but with black background in both "metacity" title bar and
"GNOME" window list. 

Expected results:
Application icon rendered with transparent background everywhere.

Additional info:
None
Comment 1 Matthias Clasen 2006-10-16 16:30:27 EDT
Created attachment 138621 [details]
test app
Comment 2 Matthias Clasen 2006-10-16 16:32:13 EDT
Your icon works fine with this little test app, so I guess this must be an issue
with dx.
Comment 3 Joachim Frieben 2006-10-18 08:14:20 EDT
The test program actually works, but it doesn't allow a conclusive
judgement. "dx" is not a "GTK" based application as yours but a "Motif"
based one. Nevertheless, application icons have to be rendered correctly
by window manager (here "GTK" based "metacity") and desktop utilities
like the ("GNOME" panel) window list applet regardless of the toolkit
which the application uses. Of course, this reasoning also holds for
plain "X/Athena" applications etc. In the case of "dx", "dx.xpm" gets
written out by an "sprintf(...)" command. I have to look into that in
more detail, but for the time being, neither of both possibilities is
ruled out.
Comment 4 Joachim Frieben 2006-10-18 12:30:57 EDT
Assuming an "OpenDX" issue, bug reported upstream, see:

    http://www.opendx.org/bugs/view.php?id=227

Note You need to log in before you can comment on or make changes to this bug.